# PreferenceInitializer
Date: 2011-05-02

## org.eclipse.cdt.managedbuilder.llvm.ui.preferences
Class PreferenceInitializer

    java.lang.Object
      org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer
          org.eclipse.cdt.managedbuilder.llvm.ui.preferences.PreferenceInitializer

    public class PreferenceInitializer

extends org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer

Class used to initialize the default preference values.

Constructor Summary
`PreferenceInitializer()`

Method Summary
`void` `initializeDefaultPreferences()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PreferenceInitializer

    public PreferenceInitializer()

Method Detail

### initializeDefaultPreferences

    public void initializeDefaultPreferences()

  Specified by:
    `initializeDefaultPreferences` in class `org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer`